#### Previous topic

scipy.linalg.get_lapack_funcs

#### Next topic

Low-level BLAS functions (`scipy.linalg.blas`)

# scipy.linalg.find_best_blas_type

`scipy.linalg.``find_best_blas_type`(arrays=(), dtype=None)

  Find best-matching BLAS/LAPACK type.

  Arrays are used to determine the optimal prefix of BLAS routines.

  Parameters:

  arrays : sequence of ndarrays, optional

  > Arrays can be given to determine optimal prefix of BLAS routines. If not given, double-precision routines will be used, otherwise the most generic type in arrays will be used.

  dtype : str or dtype, optional

  > Data-type specifier. Not used if arrays is non-empty.

  Returns:

  prefix : str

  > BLAS/LAPACK prefix character.

  dtype : dtype

  > Inferred Numpy data type.

  prefer_fortran : bool

  > Whether to prefer Fortran order routines over C order.